https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/templatesAdds templates to the specified envelope.
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
If omitted or set to false (the default), envelope recipients _will be removed_ if the template being applied includes only tabs positioned via anchor text for the recipient, and none of the documents include the anchor text. When **true,** the recipients _will be preserved_ after the template is applied.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/templates' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/templatesAdds templates to the specified envelope.
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
If omitted or set to false (the default), envelope recipients _will be removed_ if the template being applied includes only tabs positioned via anchor text for the recipient, and none of the documents include the anchor text. When **true,** the recipients _will be preserved_ after the template is applied.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/templates' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}